LINUX.ORG.RU

Не грузится Ubuntu 18.04 с 2-мя видеокартами

 , ,


0

1

Всех приветствую, помогите по проблеме - вообщем не грузится убунта с 2-мя видеокартами, раньше на предыдущих версиях все решалось просто - еще при установке с LiveUSB жамкал 'e' на пункте загрузке Live системы grub'а вписывал в строчке загрузки ядра acpi=off и загрузка а потом и последующая установка и впоследствии работа системы шла нормально, а если невписать acpi=off то уже загрузка Убунты с LiveUSB даже не шла - загрузка ядра заканчивалась чем то вроде выбрасывания содержимого регистров процессора и строчкой со словами Kernel Panic, и так кстати было не только в Убунте но и во всех других линуксах - пробовал Opensuse, Fedora в них так же было. А тут начал ставить Убунту 18.04 и уже даже при загрузке с LiveUSB загрузка с прописанной опцией acpi=off не пошла - идет идет и выкидывает содержимое регистров процессора и строчкой со словами Kernel Panic, вытащил вторую ВК - загрузка и установка Убунты пошла, установил опять попробовал вставить 2ую видюху прописать в грабе acpi=off - опять выкидывает содержимое регистров и Kernel Panic, да и последний Opensuse Tumbleweed попробовал там то же самое, что это - новое ядро Линукса требует каких то новых настроек с железом?

Что за видеокарты вообще? У меня ноутбук с двумя видяшками (нвидия оптимус), все замечательно.

SHODAN ()
Ответ на: комментарий от barmaley99

AMD

Ставь винду, серьезно, все равно игор на линуксе нет, профессионального софта для работы с 3д тоже. Зачем тебе видюхи в линуксе?

SHODAN ()
Ответ на: комментарий от SHODAN

Винда итак есть, мне просто не айс когда надо перегрузится в линукс лезть еще и в комп видюху выдергивать, а потом опять вставлять когда обратнов винду

barmaley99 ()
Ответ на: комментарий от barmaley99

Зачем тебе линукс? Какие конкретно ты на нем задачи выполняешь, которые нельзя сделать в винде? Что-то мне кажется, что ты просто пердолик. Докажешь необходимость, будем разбираться.

SHODAN ()
Ответ на: комментарий от SHODAN

Помогая мне ты помогаешь не только мне но и всем фанатам линукса у кого такая проблема может возникнуть - человек погуглит и найдет решение, вот человек сверху мне уже решил проблему, коротко и ясно, без демагогии, за что ему спасибо а не тебе, поэтому сам ты пердолик

barmaley99 ()
Ответ на: комментарий от barmaley99

Больше у тебя ничего не надо отключать. Обновится когда ядро в этой убунте - можно попробовать убрать iommu. Но вообще как бы моя опция замедляет передачу данных между видяхами. Этот баг исправлен в текущей ветке ядра, насколько я помню.

Deleted ()
Ответ на: комментарий от Deleted

Больше у тебя ничего не надо отключать

А что если вообще загрузку службы ACPI из init.d вообще отключить? Видимо в новом ядре эта опция - acpi=off уже просто больше не действует и не отключает ничего, поэтому линукс уже и с ней висит

barmaley99 ()
Ответ на: комментарий от barmaley99

Не делай так. Проблема не в ACPI и никогда в нём не была. И вообще без acpi ты функционал потеряешь. До этого, скорее всего, твои две видяхи на GCN разных поколений (Atomic и non-Atomic GPU) просто не поддерживались в такой связке. В твоём случае проблема исключительно в том, что АМД выкатывают обновление amdkfd и там набедокурили немного с IOMMU в связи с поддержкой нового железа. В свежем ядре поправили, и начиная с ядра 4.19 ничего писать вообще не надо. В 4.18 никто это править не будет уже. Сломали, если правильно помню, в 4.17, которое уже EOL. acpi=off вообще не пиши, это ни к чему уже, если я правильно понимаю ситуацию, только проблем потенциально добавляет.

Deleted ()
Последнее исправление: Deleted (всего исправлений: 4)

Тяжело жить с двузначным IQ?

gnu3d ()
Ответ на: комментарий от anonymous

Ты путаешь. ACPI отвечает за энергосбережение и температуры, а не за многопроцессорность. Не все системы будут видеть только одно ядро с отключенным acpi.

Deleted ()
Ответ на: комментарий от anonymous

Я уже сказал, что я не прав. Без acpi apic не работает, если BIOS его не запрограммирует, да.

Deleted ()
Последнее исправление: Deleted (всего исправлений: 1)
Ответ на: комментарий от Deleted

В свежем ядре поправили, и начиная с ядра 4.19 ничего писать вообще не надо. В 4.18 никто это править не будет уже

А у меня щас в убунте 18.04 вообще ядро 4.15, а в 18.10 ядро 4.18 Вообщем долго ждать когда можно будет систему апгрейдить безболезненно до 4.19 ))

barmaley99 ()
Ответ на: комментарий от anonymous

В 18.04 OS 4.0 уже ядро 4.19

И что можно уже сейчас ядро апгрейдить до 4.19?

barmaley99 ()
Ответ на: комментарий от anonymous

но там уже инитр и линз завернуты в папку boot и в корне их нету

Вот что мне уже начинает ненравится в Убунте все больше - диктатура команды разработчиков в Canonical, уже становится на поведение Microsoft - не считаясь с сообществом своих пользователей что хотят то и творят - хотят удаляют, вырезают, меняют. В отличие от Debian где настоящая демократия. И помоему с каждым выпуском в Убунте разрабы только все больше удаляют и вырезают, в каждом новом выпуске ищешь куда что подевалось

barmaley99 ()
Ответ на: комментарий от barmaley99

Ну ставь Gentoo ? По теме - если система на диск установлена - да, apt update && apt upgrade должно решить проблему.

Deleted ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.